<div class="register">
    <h1 style="text-align: center;font-size: 60px;color: black;font-style: inherit;padding-top: 80px;">Registration Form</h1>
<form [formGroup]="registerForm" style="padding-left: 30%;padding-top: 140px;">
    <div class="form-group" style="color: black;width: 400px;">
      <label for="exampleFormControlInput1" style="font-size: 20px;">Your First Name</label>
      <input type="text" formControlName="YourFirstName" class="form-control" id="exampleFormControlInput1" placeholder="" name="FirstName">
    </div>
        <div class="form-group" style="color: black;width: 400px;">
          <label for="exampleFormControlInput1" style="font-size: 20px;">Your Last Name</label>
          <input type="text" formControlName="YourLastName" class="form-control" id="exampleFormControlInput1" placeholder="" name="LastName">
        </div>
            <div class="form-group" style="color: black;width: 400px;">
              <label for="exampleFormControlInput1" style="font-size: 20px;">Your Username</label>
              <input type="text" formControlName="YourUsername" class="form-control" id="exampleFormControlInput1" placeholder="" name="UserName">
            </div>
            <div class="form-group" style="color: black;width: 400px;">
                <label for="exampleFormControlInput1" style="font-size: 20px;">Your Email</label>
                <input type="email" formControlName="email" id="emailaddress" class="form-control" id="exampleFormControlInput1" placeholder="" name="Email">
              </div>
              <div class="form-group" style="color: black;width: 400px;">
                <label for="exampleFormControlInput1" style="font-size: 20px;">Your Password</label>
                <input type="password" formControlName="password" id="myInput" class="form-control" id="exampleFormControlInput1" placeholder="" name="Password">
                <input type="checkbox" onclick="Toggle()">Show Password
            </div>
            <div class="form-group" style="color: black;width: 400px;">
                <label for="exampleFormControlInput1" style="font-size: 20px;">Retype the Password</label>
                <input type="password" formControlName="Retypethepassword" id="myInput" class="form-control" id="exampleFormControlInput1" placeholder="" name="Repassword">
                <input type="checkbox" onclick="Toggle()">Show Password
            </div>
            <div class="form-group" style="color: black;width: 400px;">
                  <label for="validationDefault03" style="font-size: 20px;">City</label>
                  <input type="text" formControlName="City" class="form-control" id="validationDefault03" required>
                </div>
                <div class="form-group"style="color: black;width: 400px;">
                  <label for="validationDefault04" style="font-size: 20px;">State</label>
                  <select formControlName="State" class="custom-select" id="validationDefault04" required>
                    <option selected disabled value="">Choose...</option>
                    <option>Delhi</option> 
                    <option>Maharshtra</option>
                    <option>Tamil Nadu</option>
                    <option>Punjab</option>
                    <option>Gujarat</option>
                    <option>Haryana</option>
                    <option>J&K</option> 
                    <option>Bihar</option>
                    <option>UttarPradesh</option>
                    <option>Rajasthan</option>
                  </select>
                </div>
                <div class="form-group" style="color: black;width: 400px;">
                  <label for="validationDefault05" style="font-size: 20px;">Zip</label>
                  <input type="text" formControlName="Zip" class="form-control" id="validationDefault05" required>
                </div>
              <div class="form-group">
                <div class="form-check">
                  <input formControlName="T&C" class="form-check-input" type="checkbox" value="" id="invalidCheck2" required>
                  <label class="form-check-label" for="invalidCheck2">
                    Agree to terms and conditions
                  </label>
                </div>
              </div>
              <button (click)="Register()" class="btn btn-primary" type="submit">Register</button>
            </form>
            </div>

              